export type ColumnType = {
  id: string;
  avatarUrl: string;
  categoryId: string;
  categoryLabel: string;
  createTime: number;
  creator: string;
  description: string;
  follow: boolean;
  followerNum: number;
  label: string;
  orderValue: number;
  postNum: number;
  roleIds: string[];
  state: number;
  action?: React.ReactNode;
};

export type postOrPutPlateType = {
  avatarUrl: string;
  categoryId: string;
  cover: string;
  description: string;
  id?: string;
  label: string;
  type: typeEnum;
  [key: string]: any;
};

export type ModalFormType = {
  visible: boolean;
  changeForm: (params: postOrPutPlateType) => void;
  closeModal: () => void;
  type: typeEnum;
  formData: postOrPutPlateType;
  roleList: Record<string, any>;
};

export enum typeEnum {
  add,
  edit,
}
