import request from '@/utils/request';

import { WeappInfo } from '@/pages/weapp/index';

import { Pagination } from '@/types/common';

/**
 *
 * @description 获取小程序
 *
 */
interface GetWeappList extends Pagination {}

export async function getWeappList(params: GetWeappList) {
  return request('/forum/admin/mini/program', {
    params,
  });
}

/**
 *
 * @description 添加小程序
 *
 */

interface AddWeappList extends WeappInfo {
  type: 'add' | 'edit';
}

export async function addWeappList(data: AddWeappList) {
  return request('/forum/admin/mini/program', {
    data,
    method: data.type === 'add' ? 'POST' : 'PUT',
  });
}

/**
 *
 * @description 删除小程序
 *
 */

export async function deleteWeappList(id: string) {
  return request(`/forum/admin/mini/program/${id}`, {
    method: 'DELETE',
  });
}
